Skip to content
openlaunch
Esc
↑↓navigate↵open⌘Jpreview

List grants

Owner-only; lists active grants for non-revoked devices.

GET/v1/grants
Authorization
AuthorizationBearer token (Clerk owner session) · headerrequired

Owner identity required.

Responses
200

Successful response

dataCapabilityGrant[]required
Show properties
Array of CapabilityGrant
principalstringrequired
deviceIdstring<uuid>required
capabilitiesstring[]required
expiresAtinteger | nullrequired
400

Invalid request or validation failure

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
401

Missing or invalid credential

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
403

Insufficient access or grant

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
404

Resource not found

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
413

Request body exceeds the 16 KiB limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
429

Rate limit or workspace capacity limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
500

Internal error

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
503

Service or required integration is not configured

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://www.openlaunch.dev/v1/grants' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "data": [
    {
      "principal": "string",
      "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a",
      "capabilities": [
        "string"
      ],
      "expiresAt": 0
    }
  ]
}